repo/proj/guru:dev commit in: dev-python/python-socketio/

"Gil Ferrand" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786800092.f812d1f83f6adf6061ac362c4ef32631fd4fbe34.bakedsnake@gentoo>
commit:     f812d1f83f6adf6061ac362c4ef32631fd4fbe34
Author:     bakedsnake <bakedsnake <AT> vagrantz <DOT> xyz>
AuthorDate: Sat Aug 15 13:10:56 2026 +0000
Commit:     Gil Ferrand <bakedsnake <AT> vagrantz <DOT> xyz>
CommitDate: Sat Aug 15 13:21:32 2026 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=f812d1f8

dev-python/python-socketio: update python compatibility

Updates python compatibility, as  well  as  dealing
with deprecated license classifiers.
Small   refactoring   for    better    readability.

Signed-off-by: bakedsnake <bakedsnake <AT> vagrantz.xyz>

 ...1.4.ebuild => python-socketio-5.11.4-r1.ebuild} | 29 +++++++++++++++------
 ...2.1.ebuild => python-socketio-5.12.1-r1.ebuild} | 30 ++++++++++++++++------
 2 files changed, 43 insertions(+), 16 deletions(-)

diff --git a/dev-python/python-socketio/python-socketio-5.11.4.ebuild b/dev-python/python-socketio/python-socketio-5.11.4-r1.ebuild
similarity index 54%
rename from dev-python/python-socketio/python-socketio-5.11.4.ebuild
rename to dev-python/python-socketio/python-socketio-5.11.4-r1.ebuild
index aa7e86d274..64e7ab1a3d 100644
--- a/dev-python/python-socketio/python-socketio-5.11.4.ebuild
+++ b/dev-python/python-socketio/python-socketio-5.11.4-r1.ebuild
@@ -1,17 +1,18 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
 
 DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_12 )
+PYTHON_COMPAT=( python3_{12..14} )
 inherit distutils-r1 pypi
 
-DESCRIPTION="Python implementation of the Socket.IO realtime server."
+DESCRIPTION="Python implementation of the Socket.IO realtime server"
 HOMEPAGE="
 	https://python-socketio.readthedocs.org/
 	https://github.com/miguelgrinberg/python-socketio/
-	https://pypi.org/project/python-socketio"
+	https://pypi.org/project/python-socketio
+"
 
 LICENSE="MIT"
 SLOT="0"
@@ -21,12 +22,24 @@ IUSE="client asyncio-client"
 
 RDEPEND="dev-python/bidict[${PYTHON_USEDEP}]
 	>=dev-python/python-engineio-4.0.0[${PYTHON_USEDEP}]
-	client? ( dev-python/requests[${PYTHON_USEDEP}]
-		dev-python/websocket-client[${PYTHON_USEDEP}] )
-	asyncio-client? ( dev-python/aiohttp[${PYTHON_USEDEP}]
-		dev-python/websockets[${PYTHON_USEDEP}] )"
+	client? (
+		dev-python/requests[${PYTHON_USEDEP}]
+		dev-python/websocket-client[${PYTHON_USEDEP}]
+	)
+	asyncio-client? (
+		dev-python/aiohttp[${PYTHON_USEDEP}]
+		dev-python/websockets[${PYTHON_USEDEP}]
+	)"
 DEPEND="${RDEPEND}"
+
 REQUIRED_USE="${PYTHON_REQUIRED_USE}"
 
 # pypi tarball does not contain tests
 RESTRICT="test"
+
+src_prepare() {
+	# License classifiers are deprecated, so we remove it
+	sed -ie "/\"License ::/d" pyproject.toml \
+		|| die "Failed to remove deprecated license classifiers"
+	eapply_user
+}

diff --git a/dev-python/python-socketio/python-socketio-5.12.1.ebuild b/dev-python/python-socketio/python-socketio-5.12.1-r1.ebuild
similarity index 53%
rename from dev-python/python-socketio/python-socketio-5.12.1.ebuild
rename to dev-python/python-socketio/python-socketio-5.12.1-r1.ebuild
index 9504127598..80a25ce1a8 100644
--- a/dev-python/python-socketio/python-socketio-5.12.1.ebuild
+++ b/dev-python/python-socketio/python-socketio-5.12.1-r1.ebuild
@@ -1,17 +1,18 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
 
 DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{12..13} )
+PYTHON_COMPAT=( python3_{12..14} )
 inherit distutils-r1 pypi
 
-DESCRIPTION="Python implementation of the Socket.IO realtime server."
+DESCRIPTION="Python implementation of the Socket.IO realtime server"
 HOMEPAGE="
 	https://python-socketio.readthedocs.org/
 	https://github.com/miguelgrinberg/python-socketio/
-	https://pypi.org/project/python-socketio"
+	https://pypi.org/project/python-socketio
+"
 
 LICENSE="MIT"
 SLOT="0"
@@ -20,12 +21,25 @@ IUSE="client asyncio-client"
 
 RDEPEND="dev-python/bidict[${PYTHON_USEDEP}]
 	>=dev-python/python-engineio-4.0.0[${PYTHON_USEDEP}]
-	client? ( dev-python/requests[${PYTHON_USEDEP}]
-		dev-python/websocket-client[${PYTHON_USEDEP}] )
-	asyncio-client? ( dev-python/aiohttp[${PYTHON_USEDEP}]
-		dev-python/websockets[${PYTHON_USEDEP}] )"
+	client? (
+		dev-python/requests[${PYTHON_USEDEP}]
+		dev-python/websocket-client[${PYTHON_USEDEP}]
+	)
+	asyncio-client? (
+		dev-python/aiohttp[${PYTHON_USEDEP}]
+		dev-python/websockets[${PYTHON_USEDEP}]
+	)
+"
 DEPEND="${RDEPEND}"
+
 REQUIRED_USE="${PYTHON_REQUIRED_USE}"
 
 # pypi tarball does not contain tests
 RESTRICT="test"
+
+src_prepare() {
+	# License classifiers are deprecated, so we remove it
+	sed -ie "/\"License ::/d" pyproject.toml \
+		|| die "Failed to remove deprecated license classifiers"
+	eapply_user
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.